Skip to main content
GET
/
v1
/
external-trackers
List active tracker definitions of the caller company
curl --request GET \
  --url https://clientapi.woku.app/v1/external-trackers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://clientapi.woku.app/v1/external-trackers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://clientapi.woku.app/v1/external-trackers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "_id": "507f1f77bcf86cd799439011",
      "companyId": "507f1f77bcf86cd799439012",
      "name": "trr",
      "system": "crm interno",
      "active": true,
      "description": "identificador de la transacción de un arriendo o venta",
      "createdBy": "507f1f77bcf86cd799439013",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 42,
  "page": 1,
  "limit": 20
}
{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated list of active trackers

items
object[]
required
total
integer
required
Example:

42

page
integer
required
Example:

1

limit
integer
required
Example:

20